Subject: Re: bug#32446: Configure-time requirement for gnutls is too old

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Aug 2018 19:09:03 +0300

> From: Gavin Smith <[email-masked]>
> Date: Wed, 15 Aug 2018 12:12:10 +0100
> 
> According to https://www.gnutls.org/abi-tracker/changelog/gnutls/3.4.10/log.html,
> gnutls_cipher_get_tag_size was added in version 3.2.2. However, the
> configure script for Emacs did not detect that I had an out-of-date
> gnutls. From config.log:
> 
> configure:13176: checking for LIBGNUTLS
> configure:13183: $PKG_CONFIG --exists --print-errors "gnutls >= 2.12.2"
> configure:13186: $? = 0
> configure:13200: $PKG_CONFIG --exists --print-errors "gnutls >= 2.12.2"
> configure:13203: $? = 0
> configure:13241: result: yes
> 
> The check is for an older version of gnutls, which my system passes:
> 
> $ pkg-config --modversion gnutls
> 3.1.25
> 
> I'd guess that the required version in 'configure' needs to be increased.

The problem is not with the minimum required version, because we have
additional version-dependent cpp conditions in gnutls.c.  The problem
is that we assumed these functions were available since GnuTLS 3.0.0,
which is false.

Ted, what would you propose to do with this issue?  Disable the
relevant functionality for versions of GnuTLS that don't have these
APIs?

Thanks.